FROM tiangolo/uwsgi-nginx:python3.6

LABEL maintainer="Shubham Sharma <shubham@rebhu.com>"

WORKDIR /opt/api

COPY . .

COPY ./uwsgi.ini /app/
COPY ./prestart.sh /app/

RUN pip install --default-timeout=900 --no-cache-dir -r requirements.txt

EXPOSE 80

# this file for nginx config
RUN mv /entrypoint.sh /uwsgi-nginx-entrypoint.sh

# Copy the entrypoint that will generate Nginx additional configs
COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]


CMD ["/start.sh"]

# sudo podman build -t getcovaxin -f Containerfile
# sudo podman run -p 5000:80 -it --env-file ./.flaskenv --name contgetcovaxin getcovaxin